DRM_MODE_VALIDATE_SI(9)

NAME
drm_mode_validate_size - make sure modes adhere to size constraints

SYNOPSIS

void drm_mode_validate_size(struct drm_device * dev, struct list_head * mode_list, int maxX, int maxY);

ARGUMENTS

dev
    DRM device

mode_list
    list of modes to check

maxX
    maximum width

maxY
    maximum height

DESCRIPTION

This function is a helper which can be used to validate modes against size limitations of the DRM device/connector. If a mode is too big its status member is updated with the appropriate validation failure code. The list itself is not changed.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT